import { type DomainEvent } from '@modules/shared';

export class UserDeactivatedEvent implements DomainEvent {
  readonly eventName = 'user.deactivated';
  readonly occurredAt = new Date();

  constructor(
    public readonly aggregateId: string,
  ) {}
}
